Package org.codehaus.commons.compiler.util.resource

# Interface LocatableResource

All Superinterfaces:
  `Resource`

All Known Implementing Classes:
  `FileResource`

public interface LocatableResource extends Resource
A `Resource` that can be addressed by a URL.

## Method Summary

Modifier and Type
Method
Description
`URL`
`getLocation()`

### Methods inherited from interface org.codehaus.commons.compiler.util.resource.Resource

`getFileName, lastModified, open`

## Method Details

### getLocation

URL getLocation() throws IOException

Returns:
  A locator that addresses this resource's contents
Throws:
  `IOException`